User::Identity::Collection::Users(3pm)

NAME
User::Identity::Collection::Users - a collection of users

INHERITANCE
 User::Identity::Collection::Users
   is a User::Identity::Collection
   is a User::Identity::Item

SYNOPSIS

DESCRIPTION
This "User::Identity::Collection::Users" object maintains a set User::Identity objects, each describing a user.

Extends "DESCRIPTION" in User::Identity::Collection.

OVERLOADED
Extends "OVERLOADED" in User::Identity::Collection.

overload: "" stringification
    Inherited, see "OVERLOADED" in User::Identity::Collection

overload: @{} array dereference
    Inherited, see "OVERLOADED" in User::Identity::Collection

METHODS
Extends "METHODS" in User::Identity::Collection.

  Constructors
Extends "Constructors" in User::Identity::Collection.

$class->new( [$name], %options )

     -Option     --Defined in                --Default
      description  User::Identity::Item        undef
      item_type    User::Identity::Collection  User::Identity
      name         User::Identity::Item        'people'
      parent       User::Identity::Item        undef
      roles        User::Identity::Collection  undef

    description => STRING
    item_type => CLASS
    name => STRING
    parent => OBJECT
    roles => $role|\@roles

  Attributes
Extends "Attributes" in User::Identity::Collection.

$obj->description()
    Inherited, see "Attributes" in User::Identity::Item

$obj->itemType()
    Inherited, see "Attributes" in User::Identity::Collection

$obj->name( [$newname] )
    Inherited, see "Attributes" in User::Identity::Item

$obj->roles()
    Inherited, see "Attributes" in User::Identity::Collection

  Collections
Extends "Collections" in User::Identity::Collection.

$obj->add($collection, $role)
    Inherited, see "Collections" in User::Identity::Item

$obj->addCollection( $object | <[$type], %options> )
    Inherited, see "Collections" in User::Identity::Item

$obj->collection($name)
    Inherited, see "Collections" in User::Identity::Item

$obj->parent( [$parent] )
    Inherited, see "Collections" in User::Identity::Item

$obj->removeCollection($object|$name)
    Inherited, see "Collections" in User::Identity::Item

$any->type()
    Inherited, see "Collections" in User::Identity::Item

$obj->user()
    Inherited, see "Collections" in User::Identity::Item

  Maintaining roles
Extends "Maintaining roles" in User::Identity::Collection.

$obj->addRole($role|([$name], %options))
    Inherited, see "Maintaining roles" in User::Identity::Collection

$obj->removeRole($role|$name)
    Inherited, see "Maintaining roles" in User::Identity::Collection

$obj->renameRole( <$role|$oldname>, $newname )
    Inherited, see "Maintaining roles" in User::Identity::Collection

$obj->sorted()
    Inherited, see "Maintaining roles" in User::Identity::Collection

  Searching
Extends "Searching" in User::Identity::Collection.

$obj->find($name|CODE|undef)
    Inherited, see "Searching" in User::Identity::Collection

DIAGNOSTICS

Error: cannot create a $type to add this to my collection.
    Some options are specified to create a $type object, which is native to this collection. However, for some reason this failed. Cast by addRole()

Error: cannot load collection module for $type ($class): $@
    Either the specified $type does not exist, or that module named $class returns compilation errors. If the type as specified in the warning is not the name of a package, you specified a nickname which was not defined. Maybe you forgot the 'require' the package which defines the nickname. Cast by addCollection()

Error: cannot rename $from into $to: already exists.
    Cast by renameRole()

Error: cannot rename $from into $to: doesn't exist.
    Cast by renameRole()

Error: nvalid collection $name.
    The collection with $name does not exist and can not be created. Cast by add()

Error: this $object is not a collection.
    Cast by addCollection()

Error: wrong type of role for $collection: requires a $expect but got a $type.
    Each $collection groups sets of roles of one specific type ($expect). You cannot add objects of a different $type. Cast by addRole()

SEE ALSO
This module is part of User-Identity version 4.00, built on December 12, 2025. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2003-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.